> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# list

After finding the patient if patient needs to schedule an appointment, we need to find appointment types against which the patient wants to schedule an appointment. This api will give all available appointment types which can be used, AI will take decision and give us the id for relevant `appointment_type_id` while appointment scheduling. In case of rescheduling no need to hit this end point because we already have the appointment type id in apointment response.

### GET api/v1/ai\_voice/organizations/597/appointment\_types

This endpoint will give the appointment types against which we need to schedule an appointment.

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/appointment_types" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/appointment_types", {
    headers: {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN"
    }
  })

  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/appointment_types",
      headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  )

  data = response.json()
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "json"

  uri = URI("https://app.teamcaredental.com/api/v1/ai_voice/organizations/:organization_id/appointment_types")
  request = Net::HTTP::Get.new(uri)
  request["Authorization"] = "Bearer YOUR_ACCESS_TOKEN"

  response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
    http.request(request)
  end

  data = JSON.parse(response.body)
  ```
</CodeGroup>

```json theme={null}
{
    "data": [
        {
            "id": "2",
            "type": "appointment_type",
            "attributes": {
                "id": 2,
                "title": "Consultation"
            }
        }
    ]
}
```
